Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.validation.exception
Class UnknownDataTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.UserException
                      com.sun.mdm.index.objects.validation.exception.ValidationException
                          com.sun.mdm.index.objects.validation.exception.UnknownDataTypeException

All Implemented Interfaces:
  java.io.Serializable

public class UnknownDataTypeException
extends ValidationException

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`UnknownDataTypeException()` Creates a new instance of UnknownDataType without detail message.
`UnknownDataTypeException(java.lang.String msg)` Constructs an instance of `UnknownDataType` with the specified detail message.

Methods inherited from class com.sun.mdm.index.objects.validation.exception.ValidationException
`getFormat, getId, getSystemCode, getSystemDescription`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownDataTypeException

    public UnknownDataTypeException()

  Creates a new instance of UnknownDataType without detail message.

### UnknownDataTypeException

    public UnknownDataTypeException(java.lang.String msg)

  Constructs an instance of `UnknownDataType` with the specified detail message.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.